<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::WorkQueue Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#aae92816d648918690f76f6fe14f125c0">abortAllRequests</a>()=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a5c3f58ddc03546ba2a5c510cbca0aae6">abortRequest</a>(RequestID id)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#ac885db05201bde87b65c27e1b7cf8af4">abortRequestsByChannel</a>(uint16 channel)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#ad3e1602a8b01d1fe068eb9705060bcfd">addRequest</a>(uint16 channel, uint16 requestType, const Any &amp;rData, uint8 retryCount=0, bool forceSynchronous=false)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#aa0687acbbe081ba2a3ae3c3bdbfca6ff">addRequestHandler</a>(uint16 channel, RequestHandler *rh)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#ac7a22c908d9859d29c22fc8b73a7c735">addResponseHandler</a>(uint16 channel, ResponseHandler *rh)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a49e33316b1140dca7d9aa81e5b47d49b">ChannelMap</a> typedef</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a9a550b2e870c3cf2fb7dc6732ceed3e5">getChannel</a>(const String &amp;channelName)</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#abc8685f2e0f4921468f8cf7cb5f2b2b3">getRequestsAccepted</a>() const =0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a9b605e17372e8a45eab9471955979d4a">getResponseProcessingTimeLimit</a>() const =0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a79a71d8b70010d28043a2fef2c3e2cf8">isPaused</a>() const =0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a4e043b97536f11e70189d8184fbaa7f8">mChannelMap</a></td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#ad2ff94d54fe961e1e59558f361093b65">mNextChannel</a></td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#aa4c64bf597bd87860dc297f0ac7af463">processResponses</a>()=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#aae885bf0b8988f2353659d896bfa6b78">removeRequestHandler</a>(uint16 channel, RequestHandler *rh)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#ab8160c231f7f7706030432c3c585e589">removeResponseHandler</a>(uint16 channel, ResponseHandler *rh)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a1908257e726af6caa80f1a6cd5682d76">RequestID</a> typedef</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a414eb873108df39549cc79d8246994d3">setPaused</a>(bool pause)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a1fd22283445612a4d0e020917f1582b9">setRequestsAccepted</a>(bool accept)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a9b631e09dcaafb4a341eff307f00feca">setResponseProcessingTimeLimit</a>(unsigned long ms)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a42d64d8891849878e3d1afb66fa0ce19">shutdown</a>()=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#ad6d7aeeb4b1e4e8eed931cb17d63add3">startup</a>(bool forceRestart=true)=0</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a522d959bdec37026c5ad9eb2e2b189cc">WorkQueue</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a2e7a64f2d114bf2828355e83e43f8172">~WorkQueue</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
